function p = tp(t,v);
%TP	TP(T,V) is the cumulative distribution function at T of the
%	t-distribution on V degrees of freedom.
%	V must be a scalar.

% courtesy of:
% Smyth, G. K. (1999). StatBox 4.1: A statistics toolbox for Matlab. 
% University of Queensland, Brisbane 
% (www.maths.uq.edu.au/~gks/matlab/statbox.html).


if v <= 0, error('Degrees of freedom must be positive.'); end;
x = t.^2 / (v + t.^2) ;
p = 0.5 .* ( 1 + sign(t) .* betainc( x, 0.5, 0.5*v ) ) ;
